PKG-VERSION(1)

NAME
pkg version - summarize installed versions of packages

SYNOPSIS
pkg version [-hIoqv] [-l limchar] [-L limchar] [ [-X] -s string] [-O origin] [index]
pkg version -t version1
pkg version -T <pkgname> <pattern>

DESCRIPTION
pkg version is used for generating a report of packages installed by pkg(1)

< To be completed >

OPTIONS
The following options are supported by pkg version:

-h  Displays usage information

-I  Use INDEX file for determining if a package is out of date

-o  Display package origin, instead of package name.

-q  Be quiet. Less output will be produced.

-v  Be verbose.

-l limchar
    Display only the packages which status flag matches the one specified by limchar

-L limchar
    Does the opposite of -l flag. Displays the packages which status flag does not match the one specified by limchar

-X  Treat string as an extended regular expression.

-s string
    Only display the packages that match string

-O origin
    Display only the packages which origin matches origin

-t <version1> <version2>
    < To be added >

-T <pkgname> <pattern>
    Compare <pkgname> against shell glob <pattern> and set exit code accordingly. -T can also be used in `filter mode': When one of the arguments is `-', standard input is used, and lines with matching package names/patterns are echoed to standard output.

ENVIRONMENT
The following environment variables affect the execution of pkg version. See pkg.conf(5) for further description.

PKG_DBDIR

PORTSDIR

FILES
See pkg.conf(5).

SEE ALSO
pkg(1), pkg-add(1), pkg-autoremove(1), pkg-search(1), pkg-backup(1), pkg-install(1), pkg-delete(1), pkg-info(1), pkg-register(1), pkg-repo(1), pkg-update(1), pkg-upgrade(1), pkg-create(1), pkg-which(1), pkg.conf(5)